using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace barcode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            barCodeCtrl1.BarCode = textBox1.Text;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string name = Guid.NewGuid().ToString().Replace("-", "") + ".jpg";
            FolderBrowserDialog fd = new FolderBrowserDialog();
            fd.ShowDialog();
            barCodeCtrl1.SaveImage(fd.SelectedPath + @"\" + name);
        }
    }
}
